Bug 1439808 - Review Request: rubygem-public_suffix - Domain name parser based on the Public Suffix List
Summary: Review Request: rubygem-public_suffix - Domain name parser based on the Publi...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dominic Cleal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-06 14:47 UTC by Vít Ondruch
Modified: 2017-04-07 12:39 UTC (History)
2 users (show)

Fixed In Version: rubygem-public_suffix-2.0.5-2.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-07 12:39:48 UTC
dominic: fedora-review+


Attachments (Terms of Use)

Description Vít Ondruch 2017-04-06 14:47:46 UTC
Spec URL: https://fedorapeople.org/cgit/vondruch/public_git/rubygem-public_suffix.git/plain/rubygem-public_suffix.spec?id=d7a64c9259f16e0305a4952794a5a0f5752940ed
SRPM URL: http://people.redhat.com/vondruch/rubygem-public_suffix-2.0.5-1.fc27.src.rpm
Description: PublicSuffix can parse and decompose a domain name into top level domain, domain and subdomains.

Fedora Account System Username: vondruch

Koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=18820254

Comment 1 Dominic Cleal 2017-04-07 10:29:29 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- The "License" field of both the main package and -doc package should be AND,
  not OR (it's a combination of licences, not dual-licensed)
- Missing license text for MPL 2.0
- Small discrepancy between spec file and the SRPM (missing comment in -doc
  about licensing), ensure the SRPM one with the comment is used


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     public_suffix-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[x]: Gem should use %gem_install macro.
[x]: Gem package should exclude cached Gem.
[x]: gems should not require rubygems package
[x]: Specfile should use macros from rubygem-devel package.
[x]: Test suite should not be run by rake.
[x]: Test suite of the library should be run.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: rubygem-public_suffix-2.0.5-1.fc27.noarch.rpm
          rubygem-public_suffix-doc-2.0.5-1.fc27.noarch.rpm
          rubygem-public_suffix-2.0.5-1.fc27.src.rpm
rubygem-public_suffix.noarch: W: spelling-error %description -l en_US subdomains -> sub domains, sub-domains, domains
rubygem-public_suffix.noarch: W: no-documentation
rubygem-public_suffix.src: W: spelling-error %description -l en_US subdomains -> sub domains, sub-domains, domains
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Diff spec file in url and in SRPM
---------------------------------
--- /home/dcleal/code/fedora/review/1439808-rubygem-public_suffix/srpm/rubygem-public_suffix.spec	2017-04-07 10:52:50.053837733 +0100
+++ /home/dcleal/code/fedora/review/1439808-rubygem-public_suffix/srpm-unpacked/rubygem-public_suffix.spec	2017-04-06 15:39:26.000000000 +0100
@@ -24,5 +24,4 @@
 %package doc
 Summary: Documentation for %{name}
-# Public Domain: %%{gem_instdir}/test/tests.txt
 License: MIT or Public Domain
 Requires: %{name} = %{version}-%{release}


Requires
--------
rubygem-public_suffix (rpmlib, GLIBC filtered):
    ruby(rubygems)

rubygem-public_suffix-doc (rpmlib, GLIBC filtered):
    rubygem-public_suffix



Provides
--------
rubygem-public_suffix:
    rubygem(public_suffix)
    rubygem-public_suffix

rubygem-public_suffix-doc:
    rubygem-public_suffix-doc



Source checksums
----------------
https://rubygems.org/gems/public_suffix-2.0.5.gem :
  CHECKSUM(SHA256) this package     : f8488b110921532ff291af74eef70fa4e3c036141c4ef80009dcdc2b51721210
  CHECKSUM(SHA256) upstream package : f8488b110921532ff291af74eef70fa4e3c036141c4ef80009dcdc2b51721210


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1439808
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Vít Ondruch 2017-04-07 11:36:30 UTC
(In reply to Dominic Cleal from comment #1)

Thanks for picking up this review.

> Issues:
> =======
> - The "License" field of both the main package and -doc package should be
> AND,
>   not OR (it's a combination of licences, not dual-licensed)

Apparently I messed this up. Should be fixed now.

> - Missing license text for MPL 2.0

I asked upstream about this, but it should not be showstopper.

https://github.com/weppos/publicsuffix-ruby/issues/137

> - Small discrepancy between spec file and the SRPM (missing comment in -doc
>   about licensing), ensure the SRPM one with the comment is used

If I am not mistaken, the .spec link was aligned with the SRPM, however you are right that the latest .spec revision contains the licensing remark:

https://fedorapeople.org/cgit/vondruch/public_git/rubygem-public_suffix.git/commit/?id=653d4de6607d0c46d1d04881e9dac5fc71b64f05

I did not bothered to update the SRPM (because then I would need to submit new Koji build etc ...)



Here is the update version:

Spec: https://fedorapeople.org/cgit/vondruch/public_git/rubygem-public_suffix.git/plain/rubygem-public_suffix.spec?id=e70367e1d7582b47ef1c77f1c6fa237a8f49151a
SRPM: http://people.redhat.com/vondruch/rubygem-public_suffix-2.0.5-2.fc27.src.rpm
Koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=18834334

Comment 3 Dominic Cleal 2017-04-07 11:42:58 UTC
Thanks for the update. I'm satisfied with the -2 spec and SRPM, so review passed.

Comment 4 Vít Ondruch 2017-04-07 11:43:49 UTC
Thank you for your review!

Comment 5 Gwyn Ciesla 2017-04-07 12:13:34 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/rubygem-public_suffix


Note You need to log in before you can comment on or make changes to this bug.